Bug 146326 - Oops with CRAMFS: kernel page fault
Oops with CRAMFS: kernel page fault
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 18:24 EST by Tom London
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 14:51:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2005-01-26 18:24:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Mount a CRAMFS via 'mount -o loop,....', then attempt to 'tar zcf
....' its contents.
Get segmentation fault and this in the log.  Seems to need
a reboot to recover 'mount'.

Jan 26 15:14:00 localhost kernel: SELinux: initialized (dev loop0,
type cramfs), uses genfs_contexts
Jan 26 15:15:15 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:15 localhost kernel: f8acf038(-11160)->d6a02000(4096)
Jan 26 15:15:15 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:15 localhost kernel: f8b288c8(-377896)->d6101000(4096)
Jan 26 15:15:15 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:15 localhost kernel: f8acc4bc(-479260)->d643f000(4096)
Jan 26 15:15:15 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:15 localhost kernel: f8ad04d0(-487472)->d60a1000(4096)
Jan 26 15:15:15 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:15 localhost kernel: f8acc4ac(1178899827)->d60a6000(4096)
Jan 26 15:15:15 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:15 localhost kernel: f8ad0a1f(448052098)->d60a7000(4096)
Jan 26 15:15:15 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:15 localhost kernel: f8acc5a1(-1627455745)->d60a8000(4096)
Jan 26 15:15:15 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:15 localhost kernel: f8ad0cbc(-518172)->d6ee1000(4096)
Jan 26 15:15:16 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:16 localhost kernel: f8acc4e4(-2617412)->d6027000(4096)
Jan 26 15:15:16 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:16 localhost kernel: f8ad04c8(-2633768)->d602f000(4096)
Jan 26 15:15:16 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:16 localhost kernel: f8ad04fc(-2646108)->d6032000(4096)
Jan 26 15:15:16 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:16 localhost kernel: f8ad04b8(1176687975)->d64d5000(4096)
Jan 26 15:15:16 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:16 localhost kernel: f8acca1f(448052098)->d64d6000(4096)
Jan 26 15:15:16 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:16 localhost kernel: f8ad05a1(-1627455745)->d64d7000(4096)
Jan 26 15:15:16 localhost kernel: Error -3 while decompressing!
Jan 26 15:15:16 localhost kernel: f8ad04a0(2621443)->d64d9000(4096)
Jan 26 15:15:16 localhost kernel: Unable to handle kernel paging
request at virtual address f8d504a3
Jan 26 15:15:16 localhost kernel:  printing eip:
Jan 26 15:15:16 localhost kernel: c01d9b80
Jan 26 15:15:16 localhost kernel: *pde = 00000000
Jan 26 15:15:16 localhost kernel: Oops: 0000 [#1]
Jan 26 15:15:16 localhost kernel: DEBUG_PAGEALLOC
Jan 26 15:15:16 localhost kernel: Modules linked in: cramfs loop
nls_utf8 vfat fat parport_pc lp parport autofs4 i2c_dev i2c_core
sunrpc pcmcia ipt_REJECT ipt_state ip_conntrack iptable_filter
ip_tables video toshiba_acpi button battery ac sd_mod md5 ipv6
usb_storage scsi_mod usblp yenta_socket rsrc_nonstatic joydev
pcmcia_core uhci_hcd ehci_hcd hw_random snd_intel8x0m snd_intel8x0
snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd
soundcore snd_page_alloc ipw2200 ieee80211 ieee80211_crypt e100 mii
dm_snapshot dm_zero dm_mirror ext3 jbd dm_mod
Jan 26 15:15:16 localhost kernel: CPU:    0
Jan 26 15:15:16 localhost kernel: EIP:    0060:[<c01d9b80>]    Not
tainted VLI
Jan 26 15:15:16 localhost kernel: EFLAGS: 00010202   (2.6.10-1.1110_FC4)
Jan 26 15:15:16 localhost kernel: EIP is at zlib_inflate+0x66/0x3a2
Jan 26 15:15:16 localhost kernel: eax: f8d504a3   ebx: f8ad44c0   ecx:
f8b7c05c   edx: 00000005
Jan 26 15:15:16 localhost kernel: esi: d64ea000   edi: fffffffb   ebp:
fffffffb   esp: eb40ad24
Jan 26 15:15:16 localhost kernel: ds: 007b   es: 007b   ss: 0068
Jan 26 15:15:16 localhost kernel: Process tar (pid: 4245,
threadinfo=eb40a000 task=f3ad0a80)
Jan 26 15:15:16 localhost kernel: Stack: d64ea000 00000005 00001000
d64ea000 f8d504a3 ffd7fffe f8acab09 c12c9d40
Jan 26 15:15:16 localhost kernel:        d64ea000 ffd7fffe 00280003
f8aca94b ffd7fffe e8624bf8 00000000 c12c9d40
Jan 26 15:15:16 localhost kernel:        00000001 d6c9af24 00000000
c0144918 eb40ade0 d775df58 00000005 00000000
Jan 26 15:15:16 localhost kernel: Call Trace:
Jan 26 15:15:16 localhost kernel:  [<f8acab09>]
cramfs_uncompress_block+0x6d/0x9c [cramfs]
Jan 26 15:15:16 localhost kernel:  [<f8aca94b>]
cramfs_readpage+0xdb/0x13a [cramfs]
Jan 26 15:15:16 localhost kernel:  [<c0144918>] read_pages+0x8d/0xd0
Jan 26 15:15:16 localhost kernel:  [<c0142505>] __alloc_pages+0xaf/0x277
Jan 26 15:15:16 localhost kernel:  [<c0144b78>]
__do_page_cache_readahead+0x21d/0x23a
Jan 26 15:15:16 localhost kernel:  [<c0144ca2>]
blockable_page_cache_readahead+0x17/0x38
Jan 26 15:15:16 localhost kernel:  [<c0144d6c>]
page_cache_readahead+0xa9/0x21a
Jan 26 15:15:16 localhost kernel:  [<c013e859>]
do_generic_mapping_read+0x103/0x3bb
Jan 26 15:15:16 localhost kernel:  [<c013ed64>]
__generic_file_aio_read+0x162/0x17c
Jan 26 15:15:16 localhost kernel:  [<c013eb11>] file_read_actor+0x0/0xf1
Jan 26 15:15:16 localhost kernel:  [<c013ee5d>]
generic_file_read+0x98/0xaf
Jan 26 15:15:16 localhost kernel:  [<c0147169>] kmem_cache_alloc+0x66/0x6b
Jan 26 15:15:16 localhost kernel:  [<c01bd344>]
file_alloc_security+0x27/0x79
Jan 26 15:15:16 localhost kernel:  [<c01c03e5>]
selinux_file_permission+0x114/0x11d
Jan 26 15:15:16 localhost kernel:  [<c013285a>]
autoremove_wake_function+0x0/0x2d
Jan 26 15:15:16 localhost kernel:  [<c015f63d>] sys_open+0x6a/0x7d
Jan 26 15:15:16 localhost kernel:  [<c0116088>] kernel_map_pages+0x23/0x4f
Jan 26 15:15:16 localhost kernel:  [<c015fd4b>] vfs_read+0xba/0x115
Jan 26 15:15:16 localhost kernel:  [<c015ffc0>] sys_read+0x3c/0x62
Jan 26 15:15:16 localhost kernel:  [<c010338b>] syscall_call+0x7/0xb
Jan 26 15:15:16 localhost kernel: Code: 8b 4b 1c 8b 01 83 f8 0d 0f 87
1d 03 00 00 ff 24 85 7c 93 30 c0 8b 43 04 85 c0 0f 84 12 03 00 00 48
ff 43 08 89 fd 89 43 04 8b 03 <0f> b6 10 40 89 03 89 51 04 83 e2 0f 83
fa 08 8b 53 1c 74 12 c7


Version-Release number of selected component (if applicable):
kernel-2.6.10-1.1110_FC4

How reproducible:
Didn't try

Steps to Reproduce:
1. mount CRAMFS via loop
2. tar zcf ....
3.
    

Additional info:
Comment 1 Tom London 2005-01-26 18:49:58 EST
Seems reproducible.....
Comment 2 Tom London 2005-01-27 14:51:40 EST
The CRAMFS appears corrupted. It fails 'fsck.cramfs'.

Closing. Sorry.

Note You need to log in before you can comment on or make changes to this bug.